Hi,

I use Saxon-EE. I do roughly the following:

        XPathFactory xpathFactory = com.saxonica.config.EnterpriseXPathFactory.newInstance();
        XPath xpath = xpathFactory.newXPath();
        XPathExpression xpathExpression = xpath.compile(expression);
        return (NodeList)xpathExpression.evaluate(document, XPathConstants.NODESET);

I get an error message when i evaluate this XPath expression:

        //*["one" || "two"]

The error message is:

        Concatenation operator ("||") requires XPath 3.0 to be enabled.


How do enable XPath 3.0? I am using Saxon-EE, i thought XPath 3.0 was enabled by default. I have a temporaral license for Saxon EE.

Thanks,
- Gerben Abbink